"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormModal = exports.Variant = void 0;
const react_1 = __importDefault(require("react"));
const button_1 = require("@leafygreen-ui/button");
const modal_1 = require("./modal");
const leafygreen_1 = require("../leafygreen");
const modal_body_1 = require("./modal-body");
const modal_header_1 = require("./modal-header");
const modal_footer_button_1 = require("./modal-footer-button");
exports.Variant = {
    Default: button_1.Variant.Primary,
    Danger: button_1.Variant.Danger,
};
function FormModal({ title, subtitle, submitButtonText, cancelButtonText = 'Cancel', submitDisabled = false, variant = exports.Variant.Default, scroll = true, minBodyHeight, onSubmit, onCancel, children, ...modalProps }) {
    return (react_1.default.createElement(modal_1.Modal, { setOpen: onCancel, ...modalProps },
        react_1.default.createElement("form", { onSubmit: (event) => {
                event.preventDefault();
                onSubmit();
            } },
            react_1.default.createElement(modal_header_1.ModalHeader, { title: title, subtitle: subtitle, variant: variant }),
            react_1.default.createElement(modal_body_1.ModalBody, { variant: variant, scroll: scroll, minHeight: minBodyHeight }, children),
            react_1.default.createElement(leafygreen_1.ModalFooter, null,
                react_1.default.createElement(modal_footer_button_1.ModalFooterButton, { "data-testid": "submit-button", variant: variant, type: "submit", disabled: submitDisabled }, submitButtonText),
                react_1.default.createElement(modal_footer_button_1.ModalFooterButton, { "data-testid": "cancel-button", onClick: onCancel, variant: "default" }, cancelButtonText)))));
}
exports.FormModal = FormModal;
//# sourceMappingURL=form-modal.js.map