import React from 'react';
type SignalTrackingHooks = {
    onSignalMount(id: string): void;
    onSignalOpen(id: string): void;
    onSignalLinkClick(id: string): void;
    onSignalPrimaryActionClick(id: string): void;
    onSignalClose(id: string): void;
};
declare const SignalHooksProvider: React.FunctionComponent<Partial<SignalTrackingHooks>>;
export type Signal = {
    id: string;
    title: React.ReactNode;
    description: React.ReactNode;
    learnMoreLink: string;
    learnMoreLabel?: string;
    primaryActionButtonLabel?: string;
    primaryActionButtonIcon?: string;
    primaryActionButtonVariant?: 'primaryOutline' | 'dangerOutline';
    primaryActionButtonLink?: string;
    onPrimaryActionButtonClick?: React.MouseEventHandler;
};
type SignalPopoverProps = {
    signals: Signal | Signal[];
    darkMode?: boolean;
    onPopoverOpenChange?: (open: boolean) => void;
    className?: string;
};
declare const SignalPopover: React.FunctionComponent<SignalPopoverProps>;
export { SignalPopover, SignalHooksProvider };
//# sourceMappingURL=signal-popover.d.ts.map